Subject: Re: PPC vs POWERPC

From: Matias Sundman <[email-masked]>
Date: Tue, 15 Jan 2008 11:38:48 +0100

>>Documentation/powerpc/booting-without-of.txt to find out what is
 >>expected in the device tree.

Is there any more information on how the "of_*" ( e.g. of_node_put ,  
of_find_node_by_type ) functions should be implemented in  the 
"arch/powerpc/platforms/myplatform/myboard_setup.c" file
or is the documentation the existing "*.c" c files under 
arch/powerpc/platforms ?

Since I have a 82xx board I assume that "myboard_setup.c" file shall be 
put under arch/powerpc/platforms/82xx.

Cheers // Matias

Grant Likely skrev:
> On 1/11/08, [email-masked] <[email-masked]> wrote:
>   
>> Hi,
>> I want to port a board ( WRS SBC8265 ) from the PPC branch to the POWERPC
>> branch in the Linux Kernel -- do you have any good starting points that
>> describes what I need to pay attention to?
>>
>> I've already made a port of U-boot-1.3.1 and enabled CONFIG_OF_LIBFDT.
>>
>> So I need to create a DTS file, compile it with the DTC compiler and port
>> the current PPC branch to the POWERPC branch to my understanding.
>>     
>
> Yes, you're exactly right.  Use one of the dts files in
> arch/powerpc/boot/dts as a starting point and read
> Documentation/powerpc/booting-without-of.txt to find out what is
> expected in the device tree.
>
> Cheers,
> g.
>
>